% D{\'e}finition des fontes utilis{\'e}es dans Carnot.Mac
% Format Plain-mt
% Michel Quercia le 26/07/96


%-----------------------------------------------------------------------------
% The following allows the use of Ralph Smith's Formal Script symbols
% in Plain TeX documents.  Use \scr like \cal.
% Set the font sizes and restore the `at' clauses if you want them bigger.
% You can use this method in LaTeX, but only at one basic size.
% If you need symbols in LaTeX titles, captions, etc., work it out or ask
% a LaTeXpert.

\font\tenscr=rsfs10 % scaled \magstep1
\font\sevenscr=rsfs7 % scaled \magstep1
\font\fivescr=rsfs5 % scaled \magstep1
\skewchar\tenscr='177 \skewchar\sevenscr='177 \skewchar\fivescr='177
\newfam\scrfam \textfont\scrfam=\tenscr \scriptfont\scrfam=\sevenscr
\scriptscriptfont\scrfam=\fivescr
\def\cal{\fam\scrfam}
%-----------------------------------------------------------------------------

\def\mathfont#1 #2 #3 #4 #5 #6{%
   \expandafter\font\csname ten#1\endcsname=#2   at#3pt%
   \expandafter\font\csname seven#1\endcsname=#2 at#4pt%
   \expandafter\font\csname five#1\endcsname=#2  at#5pt%
   \textfont#6=\csname ten#1\endcsname
   \scriptfont#6=\csname seven#1\endcsname
   \scriptscriptfont#6=\csname five#1\endcsname
}

\font \smc=tic                          % petites capitales
\font \ssf=hv                           % sans serif
\font \bfsl=tibi                        % gras penche
\font \bftt=cob-narrow                  % gras typewriter
\font \bfss=hvb                         % gras sans serif
\font \sltt=coo-narrow                  % typewriter penche
\font \ssit=hvo                         % sans serif italique
\font\footlinefont = tii at 10pt        % pour haut et bas de page
\chardef\msbfam=\bffam                  % Lettres a deux barres -> gras
\csname newfam\endcsname\calfam         % fonte cursive = CommScript
\mathfont tt  com-narrow   10.0 7.6 6.0 \ttfam % fonte typewriter = courier
\let\oldstyle=\it                       % pas de chiffres XIXeme

\def\gros{\suitegros  12.0  9.1  7.2      % agrandissement des fontes

	\font\tenscr=rsfs10  scaled \magstep1%
	\font\sevenscr=rsfs7  scaled \magstep1%
	\font\fivescr=rsfs5  scaled \magstep1%
	\skewchar\tenscr='177 \skewchar\sevenscr='177 \skewchar\fivescr='177
	\textfont\scrfam=\tenscr \scriptfont\scrfam=\sevenscr
	\scriptscriptfont\scrfam=\fivescr
}
\def\Gros{\suitegros  14.4 10.9  8.6 
	\font\tenscr=rsfs10  scaled \magstep2%
	\font\sevenscr=rsfs7  scaled \magstep2%
	\font\fivescr=rsfs5  scaled \magstep2%
	\skewchar\tenscr='177 \skewchar\sevenscr='177 \skewchar\fivescr='177
	\textfont\scrfam=\tenscr \scriptfont\scrfam=\sevenscr
	\scriptscriptfont\scrfam=\fivescr
}
\def\petit{\suitegros  8.0  6.1  4.8 
	\font\tenscr=rsfs10  scaled 800
	\font\sevenscr=rsfs7  scaled 800
	\font\fivescr=rsfs5  scaled 800
	\skewchar\tenscr='177 \skewchar\sevenscr='177 \skewchar\fivescr='177
	\textfont\scrfam=\tenscr \scriptfont\scrfam=\sevenscr
	\scriptscriptfont\scrfam=\fivescr
}
\def\suitegros#1 #2 #3 {%
  \mathfont rm  tir  #1 #2 #3 0%
  \mathfont i   mtmi #1 #2 #3 1%
  \mathfont sy  mtsy #1 #2 #3 2%
  \mathfont ex  mtex #1 #2 #3 3%
  \mathfont bf  tib  #1 #2 #3 \bffam
  \mathfont tt  com-narrow  #1 #2 #3 \ttfam
  \mathfont sl  tio  #1 #2 #3 \slfam
  \mathfont it  tii  #1 #2 #3 \itfam
  \font \ssf=hv    at #1pt%
  \font \bfsl=tibi at #1pt%
  \font \bftt=cob-narrow  at #1pt%
  \font \bfss=hvb  at #1pt%
  \font \sltt=coo-narrow  at #1pt%
  \font \ssit=hvo  at #1pt%
  \font\smc=tic at #1pt
  \normallineskip=#1pt \divide\normallineskip by 10
  \normalbaselineskip=12\normallineskip
  \normallineskiplimit=\normallineskip
  \normalbaselines
  \rm
}
